Skip to main content
`Ctrl`+`K`

# PetscDrawCollectiveBegin

Begins a set of draw operations Collective

## Synopsis

    #include <petscdraw.h>
    PetscErrorCode PetscDrawCollectiveBegin(PetscDraw draw)

Collective

## Input Parameter

- draw - the draw object

## Notes

This is a macro that handles its own error checking, it does not return an error code.

The set of operations needs to be ended by a call to `PetscDrawCollectiveEnd()`.

X windows draw operations that are enclosed by these routines handle correctly resizing or closing of the window without crashing the program.

## Developer Note

This only applies to X windows and so should have a more specific name such as `PetscDrawXCollectiveBegin()`

## See Also

`PetscDraw`, `PetscDrawCollectiveEnd()`

## Level

advanced

## Location

include/petscdraw.h

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages